/*
** This module is part of EFCP.
**

     Copyright 2007 Avraham Houri, Shmuel Kliger
     Weizmann Institute of Science, Rehovot, Israel

** EFCP is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
** 
** EFCP is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
** GNU General Public License for more details.
** 
** You should have received a copy of the GNU General Public License
** along with EFCP; if not, see:

       http://www.gnu.org/licenses

** or write to:



       Free Software Foundation, Inc.
       51 Franklin Street, Fifth Floor
       Boston, MA 02110-1301 USA

       contact: bill@wisdom.weizmann.ac.il

**
*/

-includable(true).
-language(nil).

FCP_dg_deref_2                          => 1.
FCP_dg_deref_3                          => 2.
FCP_dg_deref_subarg_3                   => 3.
FCP_dg_deref_subarg_2                   => 4.
FCP_dg_deref_car_3                      => 5.
FCP_dg_deref_car_2                      => 6.
FCP_dg_deref_list                       => 7.
FCP_dg_deref_car_list                   => 8.
FCP_dg_deref_sub_list                   => 9.
FCP_dg_deref_vars                       => 10.
FCP_dg_deref_var1                       => 11.
FCP_dg_deref_2_addr                     => 12.
FCP_dg_deref_integer1                   => 13.
FCP_dg_load_car                         => 14.
FCP_dg_deref_list3                      => 15.
FCP_dg_load_we_var                      => 16.
FCP_dg_load_ref_to_we_var               => 17.
FCP_dg_load_ro_of_reg                   => 18.
FCP_dg_load_ref_to_ro_of_reg            => 19.
FCP_dg_load_ro_of_subarg                => 20.
FCP_dg_load_ref_to_ro_of_subarg         => 21.
FCP_dg_load_reg                         => 22.
FCP_dg_load_reg_indirect                => 23.
FCP_dg_load_car_of_reg                  => 24.
FCP_dg_load_pr_arg                      => 25.
FCP_dg_load_subarg                      => 26.
FCP_dg_load_ref_to_subarg               => 27.
FCP_dg_load_nil                         => 28.
FCP_dg_load_word                        => 29.
FCP_dg_load_real                        => 30.
FCP_dg_load_ref_to_real                 => 31.
FCP_dg_load_ref_to_string               => 32.
FCP_dg_allocate_var                     => 33.
FCP_dg_allocate_vars                    => 34.
FCP_dg_allocate_tuple                   => 35.
FCP_dg_allocate_list_cell               => 36.
FCP_dg_allocate_list_we                 => 37.
FCP_dg_allocate_listN                   => 38.
FCP_dg_allocate_pr                      => 39.
FCP_dg_list_assign_with_check           => 40.
FCP_dg_list_assign                      => 41.
FCP_dg_fetch                            => 42.
FCP_dg_copy_Rs_Rd                       => 43.
FCP_dg_copy_Rs_CpId                     => 44.
FCP_dg_copy_Rs_SRd                      => 45.
FCP_dg_copy_CpIs_Rd                     => 46.
FCP_dg_copy_CpIs_CpId                   => 47.
FCP_dg_copy_CpIs_SRd                    => 48.
FCP_dg_copy_SRs_Rd                      => 49.
FCP_dg_copy_SRs_CpId                    => 50.
FCP_dg_copy_SRs_SRd                     => 51.
FCP_dg_copy_RsIs_Rd                     => 52.
FCP_dg_copy_RsIs_CpId                   => 53.
FCP_dg_copy_RsIs_SRd                    => 54.
FCP_dg_copy_RRs_Rd                      => 55.
FCP_dg_copy_RRs_CpId                    => 56.
FCP_dg_copy_RRs_SRd                     => 57.
FCP_dg_copy_CRs_Rd                      => 58.
FCP_dg_copy_CRs_CpId                    => 59.
FCP_dg_copy_CRs_SRd                     => 60.
FCP_dg_copy_ARsIs_Rd                    => 61.
FCP_dg_copy_ARsIs_CpId                  => 62.
FCP_dg_copy_ARsIs_SRd                   => 63.
FCP_dg_copy_RARsIs_Rd                   => 64.
FCP_dg_copy_RARsIs_CpId                 => 65.
FCP_dg_copy_RARsIs_SRd                  => 66.
FCP_dg_copy_Nil_Rd                      => 67.
FCP_dg_copy_Nil_CpId                    => 68.
FCP_dg_copy_Nil_SRd                     => 69.
FCP_dg_copy_Word_Rd                     => 70.
FCP_dg_copy_Word_CpId                   => 71.
FCP_dg_copy_Word_SRd                    => 72.
FCP_dg_copy_Real_Rd                     => 73.
FCP_dg_copy_Real_CpId                   => 74.
FCP_dg_copy_Real_SRd                    => 75.
FCP_dg_copy_String_Rd                   => 76.
FCP_dg_copy_String_CpId                 => 77.
FCP_dg_copy_String_SRd                  => 78.
FCP_dg_copy_WeVar_Rd                    => 79.
FCP_dg_copy_WeVar_CpId                  => 80.
FCP_dg_copy_WeVar_SRd                   => 81.
FCP_dg_asgn_Rs_SRd                      => 82.
FCP_dg_asgn_CpIs_SRd                    => 83.
FCP_dg_asgn_SRs_SRd                     => 84.
FCP_dg_asgn_RsIs_SRd                    => 85.
FCP_dg_asgn_RRs_SRd                     => 86.
FCP_dg_asgn_CRs_SRd                     => 87.
FCP_dg_asgn_ARsIs_SRd                   => 88.
FCP_dg_asgn_RARsIs_SRd                  => 89.
FCP_dg_asgn_Nil_SRd                     => 90.
FCP_dg_asgn_Word_SRd                    => 91.
FCP_dg_asgn_Real_SRd                    => 92.
FCP_dg_asgn_String_SRd                  => 93.
FCP_dg_asgn_WeVar_SRd                   => 94.
FCP_dg_assign_Rs_SRd                    => 95.
FCP_dg_assign_CpIs_SRd                  => 96.
FCP_dg_assign_SRs_SRd                   => 97.
FCP_dg_assign_RsIs_SRd                  => 98.
FCP_dg_assign_RRs_SRd                   => 99.
FCP_dg_assign_CRs_SRd                   => 100.
FCP_dg_assign_ARsIs_SRd                 => 101.
FCP_dg_assign_RARsIs_SRd                => 102.
FCP_dg_assign_Nil_SRd                   => 103.
FCP_dg_assign_Word_SRd                  => 104.
FCP_dg_assign_Real_SRd                  => 105.
FCP_dg_assign_String_SRd                => 106.
FCP_dg_assign_WeVar_SRd                 => 107.
FCP_dg_assign_com_Rs_SRd                => 108.
FCP_dg_assign_com_CpIs_SRd              => 109.
FCP_dg_assign_com_SRs_SRd               => 110.
FCP_dg_assign_com_RsIs_SRd              => 111.
FCP_dg_assign_com_RRs_SRd               => 112.
FCP_dg_assign_com_CRs_SRd               => 113.
FCP_dg_assign_com_ARsIs_SRd             => 114.
FCP_dg_assign_com_RARsIs_SRd            => 115.
FCP_dg_assign_com_Nil_SRd               => 116.
FCP_dg_assign_com_Word_SRd              => 117.
FCP_dg_assign_com_Real_SRd              => 118.
FCP_dg_assign_com_String_SRd            => 119.
FCP_dg_assign_com_WeVar_SRd             => 120.
FCP_dg_assign_com_tr_Rs_SRd             => 121.
FCP_dg_assign_com_tr_CpIs_SRd           => 122.
FCP_dg_assign_com_tr_SRs_SRd            => 123.
FCP_dg_assign_com_tr_RsIs_SRd           => 124.
FCP_dg_assign_com_tr_RRs_SRd            => 125.
FCP_dg_assign_com_tr_CRs_SRd            => 126.
FCP_dg_assign_com_tr_ARsIs_SRd          => 127.
FCP_dg_assign_com_tr_RARsIs_SRd         => 128.
FCP_dg_assign_com_tr_Nil_SRd            => 129.
FCP_dg_assign_com_tr_Word_SRd           => 130.
FCP_dg_assign_com_tr_Real_SRd           => 131.
FCP_dg_assign_com_tr_String_SRd         => 132.
FCP_dg_assign_com_tr_WeVar_SRd          => 133.
FCP_dg_assign_and_inc                   => 134.
FCP_dg_assign_inc_com                   => 135.
FCP_dg_assign_inc_com_trail             => 136.
FCP_dg_goto_there                       => 137.
FCP_dg_if_not_reference                 => 138.
FCP_dg_if_not_variable                  => 139.
FCP_dg_if_not_writable                  => 140.
FCP_dg_if_not_read_only                 => 141.
FCP_dg_if_not_integer                   => 142.
FCP_dg_if_not_real                      => 143.
FCP_dg_if_not_string                    => 144.
FCP_dg_if_not_nil                       => 145.
FCP_dg_if_not_list                      => 146.
FCP_dg_if_not_tuple                     => 147.
FCP_dg_if_not_vector                    => 148.
FCP_dg_if_int_lt                        => 149.
FCP_dg_if_int_bt                        => 150.
FCP_dg_if_int_le                        => 151.
FCP_dg_if_int_be                        => 152.
FCP_dg_if_int_eq                        => 153.
FCP_dg_if_int_neq                       => 154.
FCP_dg_if_real_lt                       => 155.
FCP_dg_if_real_bt                       => 156.
FCP_dg_if_real_le                       => 157.
FCP_dg_if_real_be                       => 158.
FCP_dg_if_real_eq                       => 159.
FCP_dg_if_real_neq                      => 160.
FCP_dg_if_str_lt                        => 161.
FCP_dg_if_str_bt                        => 162.
FCP_dg_if_str_le                        => 163.
FCP_dg_if_str_be                        => 164.
FCP_dg_if_str_eq                        => 165.
FCP_dg_if_str_neq                       => 166.
FCP_dg_if_tuple_lt                      => 167.
FCP_dg_if_tuple_bt                      => 168.
FCP_dg_if_tuple_le                      => 169.
FCP_dg_if_tuple_be                      => 170.
FCP_dg_if_tuple_eq                      => 171.
FCP_dg_if_tuple_neq                     => 172.
FCP_dg_switch_on_tag                    => 173.
FCP_dg_unify_args                       => 174.
FCP_dg_unify_reg_reg                    => 175.
FCP_dg_unify_reg_xreg                   => 176.
FCP_dg_unify_reg_axreg                  => 177.
FCP_dg_unify_reg_roreg                  => 178.
FCP_dg_unify_reg_roaxreg                => 179.
FCP_dg_unify_reg_carreg                 => 180.
FCP_dg_unify_reg_word                   => 181.
FCP_dg_unify_reg_string                 => 182.
FCP_dg_unify_reg_real                   => 183.
FCP_dg_unify_reg_nil                    => 184.
FCP_dg_unify_xreg_reg                   => 185.
FCP_dg_unify_xreg_xreg                  => 186.
FCP_dg_unify_xreg_axreg                 => 187.
FCP_dg_unify_xreg_roreg                 => 188.
FCP_dg_unify_xreg_roaxreg               => 189.
FCP_dg_unify_xreg_carreg                => 190.
FCP_dg_unify_xreg_word                  => 191.
FCP_dg_unify_xreg_string                => 192.
FCP_dg_unify_xreg_real                  => 193.
FCP_dg_unify_xreg_nil                   => 194.
FCP_dg_branch_integer                   => 195.
FCP_dg_branch_real                      => 196.
FCP_dg_branch_tuple                     => 197.
FCP_dg_case_hash_integer                => 198.
FCP_dg_case_hash_string                 => 199.
FCP_dg_cmp_int_lt                       => 200.
FCP_dg_cmp_int_bt                       => 201.
FCP_dg_cmp_int_le                       => 202.
FCP_dg_cmp_int_be                       => 203.
FCP_dg_cmp_int_eq                       => 204.
FCP_dg_cmp_int_ne                       => 205.
FCP_dg_decrement_2_reg                  => 206.
FCP_dg_decrement_2_xreg                 => 207.
FCP_dg_decrement                        => 208.
FCP_dg_decrement_pointer                => 209.
FCP_dg_decrement_2_pointer              => 210.
FCP_dg_increment_2_reg                  => 211.
FCP_dg_increment_2_xreg                 => 212.
FCP_dg_increment                        => 213.
FCP_dg_increment_pointer                => 214.
FCP_dg_increment_2_pointer              => 215.
FCP_dg_increment_and_commit             => 216.
FCP_dg_decrement_and_commit             => 217.
FCP_dg_plus_reg_reg_reg                 => 218.
FCP_dg_plus_reg_reg_xreg                => 219.
FCP_dg_plus_reg_int_reg                 => 220.
FCP_dg_plus_reg_int_xreg                => 221.
FCP_dg_plus_int_reg_reg                 => 222.
FCP_dg_plus_int_reg_xreg                => 223.
FCP_dg_plus_int_int_reg                 => 224.
FCP_dg_plus_int_int_xreg                => 225.
FCP_dg_plusnum_reg_reg                  => 226.
FCP_dg_plusnum_reg_int                  => 227.
FCP_dg_plusnum_reg_real                 => 228.
FCP_dg_plusnum_int_reg                  => 229.
FCP_dg_plusnum_int_int                  => 230.
FCP_dg_plusnum_int_real                 => 231.
FCP_dg_plusnum_real_reg                 => 232.
FCP_dg_plusnum_real_int                 => 233.
FCP_dg_plusnum_real_real                => 234.
FCP_dg_diff_reg_reg_reg                 => 235.
FCP_dg_diff_reg_reg_xreg                => 236.
FCP_dg_diff_reg_int_reg                 => 237.
FCP_dg_diff_reg_int_xreg                => 238.
FCP_dg_diff_int_reg_reg                 => 239.
FCP_dg_diff_int_reg_xreg                => 240.
FCP_dg_diff_int_int_reg                 => 241.
FCP_dg_diff_int_int_xreg                => 242.
FCP_dg_diffnum_reg_reg                  => 243.
FCP_dg_diffnum_reg_int                  => 244.
FCP_dg_diffnum_reg_real                 => 245.
FCP_dg_diffnum_int_reg                  => 246.
FCP_dg_diffnum_int_int                  => 247.
FCP_dg_diffnum_int_real                 => 248.
FCP_dg_diffnum_real_reg                 => 249.
FCP_dg_diffnum_real_int                 => 250.
FCP_dg_diffnum_real_real                => 251.
FCP_dg_cmt_plus_reg_reg_reg             => 252.
FCP_dg_cmt_plus_reg_reg_xreg            => 253.
FCP_dg_cmt_plus_reg_int_reg             => 254.
FCP_dg_cmt_plus_reg_int_xreg            => 255.
FCP_dg_cmt_plus_int_reg_reg             => 256.
FCP_dg_cmt_plus_int_reg_xreg            => 257.
FCP_dg_cmt_plus_int_int_reg             => 258.
FCP_dg_cmt_plus_int_int_xreg            => 259.
FCP_dg_cmt_plusnum_reg_reg              => 260.
FCP_dg_cmt_plusnum_reg_int              => 261.
FCP_dg_cmt_plusnum_reg_real             => 262.
FCP_dg_cmt_plusnum_int_reg              => 263.
FCP_dg_cmt_plusnum_int_int              => 264.
FCP_dg_cmt_plusnum_int_real             => 265.
FCP_dg_cmt_plusnum_real_reg             => 266.
FCP_dg_cmt_plusnum_real_int             => 267.
FCP_dg_cmt_plusnum_real_real            => 268.
FCP_dg_cmt_diff_reg_reg_reg             => 269.
FCP_dg_cmt_diff_reg_reg_xreg            => 270.
FCP_dg_cmt_diff_reg_int_reg             => 271.
FCP_dg_cmt_diff_reg_int_xreg            => 272.
FCP_dg_cmt_diff_int_reg_reg             => 273.
FCP_dg_cmt_diff_int_reg_xreg            => 274.
FCP_dg_cmt_diff_int_int_reg             => 275.
FCP_dg_cmt_diff_int_int_xreg            => 276.
FCP_dg_cmt_diffnum_reg_reg              => 277.
FCP_dg_cmt_diffnum_reg_int              => 278.
FCP_dg_cmt_diffnum_reg_real             => 279.
FCP_dg_cmt_diffnum_int_reg              => 280.
FCP_dg_cmt_diffnum_int_int              => 281.
FCP_dg_cmt_diffnum_int_real             => 282.
FCP_dg_cmt_diffnum_real_reg             => 283.
FCP_dg_cmt_diffnum_real_int             => 284.
FCP_dg_cmt_diffnum_real_real            => 285.
FCP_dg_enqueue                          => 286.
FCP_dg_iterate1                         => 287.
FCP_dg_iterate                          => 288.
FCP_dg_execute                          => 289.
FCP_dg_execute2                         => 290.
FCP_dg_execute1                         => 291.
FCP_dg_halt                             => 292.
FCP_dg_commit1                          => 293.
FCP_dg_commit_nolabel                   => 294.
FCP_dg_commit0                          => 295.
FCP_dg_set_cp_arity                     => 296.
FCP_dg_suspend2                         => 297.
FCP_dg_suspend1                         => 298.
FCP_dg_suspend0                         => 299.
FCP_dg_suspend_on                       => 300.
FCP_dg_set_HBT                          => 301.
FCP_dg_undo                             => 302.
FCP_dg_drf2_if_not_nil                  => 303.
FCP_dg_drf2_if_not_list                 => 304.
FCP_dg_drf2_if_int_neq                  => 305.
FCP_dg_drf2_if_real_neq                 => 306.
FCP_dg_drf2_if_str_neq                  => 307.
FCP_dg_drf2_if_tuple_neq                => 308.
FCP_dg_drf2_switch_on_tag               => 309.
FCP_dg_drf2_branch_integer              => 310.
FCP_dg_drf2_branch_real                 => 311.
FCP_dg_drf2_branch_tuple                => 312.
FCP_dg_drf2_hash_integer                => 313.
FCP_dg_drf2_hash_string                 => 314.
FCP_dg_if_var_suspend                   => 315.
FCP_dg_drf1_if_var_suspend              => 316.
FCP_dg_alloc_pr_enqu                    => 317.
FCP_dg_alloc_pr_regs_enqu               => 318.
FCP_dg_mult_operation                   => 319.
FCP_dg_otherwise                        => 320.
FCP_dg_is_nonvar                        => 321.
FCP_dg_ask_unknown                      => 322.
FCP_dg_is_known                         => 323.
FCP_dg_is_var                           => 324.
FCP_dg_is_we                            => 325.
FCP_dg_is_not_we                        => 326.
FCP_dg_is_ro                            => 327.
FCP_dg_is_integer                       => 328.
FCP_dg_is_real                          => 329.
FCP_dg_is_string                        => 330.
FCP_dg_is_list                          => 331.
FCP_dg_is_tuple                         => 332.
FCP_dg_is_vector                        => 333.
FCP_dg_is_module                        => 334.
FCP_dg_is_constant                      => 335.
FCP_dg_is_compound                      => 336.
FCP_dg_is_number                        => 337.
FCP_dg_grounded                         => 338.
FCP_dg_wait_equals                      => 339.
FCP_dg_wait_not_equals                  => 340.
FCP_dg_is_less                          => 341.
FCP_dg_not_identical                    => 342.
FCP_dg_lt                               => 343.
FCP_dg_le                               => 344.
FCP_dg_bitwise_not                      => 345.
FCP_dg_string_length                    => 346.
FCP_dg_string_hash                      => 347.
FCP_dg_cnv_to_integer                   => 348.
FCP_dg_cnv_to_real                      => 349.
FCP_dg_cnv_to_string                    => 350.
FCP_dg_arity                            => 351.
FCP_dg_make_tuple                       => 352.
FCP_dg_info                             => 353.
FCP_dg_code_info                        => 354.
FCP_dg_invalid_g                        => 355.
FCP_dg_var_info_g                       => 356.
FCP_dg_plus                             => 357.
FCP_dg_diff                             => 358.
FCP_dg_times                            => 359.
FCP_dg_div                              => 360.
FCP_dg_mod                              => 361.
FCP_dg_bitwise_and                      => 362.
FCP_dg_bitwise_or                       => 363.
FCP_dg_list_to_string                   => 364.
FCP_dg_string_to_dlist                  => 365.
FCP_dg_arg                              => 366.
FCP_dg_read_vector                      => 367.
FCP_dg_freeze                           => 368.
FCP_dg_dfreeze                          => 369.
FCP_dg_deschedule                       => 370.
FCP_dg_machine_output                   => 371.
FCP_dg_ttyput_byte                      => 372.
FCP_dg_ttyput_integer                   => 373.
FCP_dg_ttyput_string                    => 374.
FCP_dg_make_unshared_g                  => 375.
FCP_dg_debug                            => 376.
FCP_dg_equals                           => 377.
FCP_dg_do_execute                       => 378.
FCP_dg_close_vector                     => 379.
FCP_dg_priority                         => 380.
FCP_dg_request                          => 381.
FCP_dg_link                             => 382.
FCP_dg_bind_ro_g                        => 383.
FCP_dg_make_invalid_g                   => 384.
FCP_dg_activate                         => 385.
FCP_dg_melt                             => 386.
FCP_dg_make_vector                      => 387.
FCP_dg_make_shared_g                    => 388.
FCP_dg_store_vector                     => 389.
FCP_dg_write_vector                     => 390.
FCP_dg_identical                        => 391.
FCP_dg_exceptions                       => 392.
FCP_dg_nth_char                         => 393.
