/*
** This module is part of EFCP.
**

     Copyright 2007 Avraham Houri, Marilyn Safran
     Weizmann Institute of Science, Rehovot, Israel

** EFCP is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
** 
** EFCP is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
** GNU General Public License for more details.
** 
** You should have received a copy of the GNU General Public License
** along with EFCP; if not, see:

       http://www.gnu.org/licenses

** or write to:



       Free Software Foundation, Inc.
       51 Franklin Street, Fifth Floor
       Boston, MA 02110-1301 USA

       contact: bill@wisdom.weizmann.ac.il

**
*/

-includable(true).
-language(nil).

XCI_creat_context                       => 1.
XCI_load_context                        => 2.
XCI_error                               => 3.
XCI_events                              => 4.
XCI_c_load                              => 5.
XCI_copy                                => 6.
XCI_load                                => 7.
XCI_reload                              => 8.
XCI_typed_load                          => 9.
XCI_store                               => 10.
XCI_typed_store                         => 11.
XCI_exec_func                           => 12.
XCI_exec_func_from                      => 13.
XCI_temporary_memory                    => 14.
XCI_ps_draw                             => 15.
XCI_get                                 => 16.
XCI_put                                 => 17.
XCI_free_mem                            => 18.
XCI_c_int                               => 1.
XCI_c_string                            => 2.
XCI_fcp_int                             => 3.
XCI_fcp_string                          => 4.
XCI_fcp_tuple                           => 5.
XCI_c_deref                             => 6.
XCI_ATTR_LIST                           => 1.
XCI_ATTR_STANDARD_SIZE                  => 2.
XCI_CANVAS                              => 3.
XCI_CANVAS_AUTO_CLEAR                   => 4.
XCI_CANVAS_AUTO_EXPAND                  => 5.
XCI_CANVAS_AUTO_SHRINK                  => 6.
XCI_CANVAS_CMS_REPAINT                  => 7.
XCI_CANVAS_FIXED_IMAGE                  => 8.
XCI_CANVAS_HEIGHT                       => 9.
XCI_CANVAS_MIN_PAINT_HEIGHT             => 10.
XCI_CANVAS_MIN_PAINT_WIDTH              => 11.
XCI_CANVAS_NO_CLIPPING                  => 12.
XCI_CANVAS_NTH_PAINT_WINDOW             => 13.
XCI_CANVAS_PAINTWINDOW_ATTRS            => 14.
XCI_CANVAS_REPAINT_PROC                 => 15.
XCI_CANVAS_RESIZE_PROC                  => 16.
XCI_CANVAS_RETAINED                     => 17.
XCI_CANVAS_VIEW                         => 18.
XCI_CANVAS_VIEWABLE_RECT                => 19.
XCI_CANVAS_VIEW_CANVAS_WINDOW           => 20.
XCI_CANVAS_VIEW_MARGIN                  => 21.
XCI_CANVAS_VIEW_PAINT_WINDOW            => 22.
XCI_CANVAS_WIDTH                        => 23.
XCI_CANVAS_X_PAINT_WINDOW               => 24.
XCI_CMS_BACKGROUND_PIXEL                => 25.
XCI_CMS_CMAP_ID                         => 26.
XCI_CMS_CMAP_TYPE                       => 27.
XCI_CMS_CMS_DATA                        => 28.
XCI_CMS_COLORS                          => 29.
XCI_CMS_COLOR_COUNT                     => 30.
XCI_CMS_CONTROL_CMS                     => 31.
XCI_CMS_DEFAULT_CMS                     => 32.
XCI_CMS_FOREGROUND_PIXEL                => 33.
XCI_CMS_FRAME_CMS                       => 34.
XCI_CMS_INDEX                           => 35.
XCI_CMS_INDEX_TABLE                     => 36.
XCI_CMS_PIXEL                           => 37.
XCI_CMS_SCREEN                          => 38.
XCI_CMS_SIZE                            => 39.
XCI_CMS_STATUS_BITS                     => 40.
XCI_CMS_TYPE                            => 41.
XCI_CURSOR                              => 42.
XCI_CURSOR_BACKGROUND_COLOR             => 43.
XCI_CURSOR_BASIC_PTR                    => 44.
XCI_CURSOR_BUSY_PTR                     => 45.
XCI_CURSOR_COPY_PTR                     => 46.
XCI_CURSOR_FOREGROUND_COLOR             => 47.
XCI_CURSOR_IMAGE                        => 48.
XCI_CURSOR_MASK_CHAR                    => 49.
XCI_CURSOR_MOVE_PTR                     => 50.
XCI_CURSOR_NAVIGATION_LEVEL_PTR         => 51.
XCI_CURSOR_OP                           => 52.
XCI_CURSOR_PANNING_PTR                  => 53.
XCI_CURSOR_SRC_CHAR                     => 54.
XCI_CURSOR_STOP_PTR                     => 55.
XCI_CURSOR_XHOT                         => 56.
XCI_CURSOR_YHOT                         => 57.
XCI_DND_ACCEPT_CURSOR                   => 58.
XCI_DND_ACCEPT_X_CURSOR                 => 59.
XCI_DND_CURSOR                          => 60.
XCI_DND_TIMEOUT_VALUE                   => 61.
XCI_DND_TYPE                            => 62.
XCI_DND_X_CURSOR                        => 63.
XCI_DRAWABLE_INFO                       => 64.
XCI_DROP_SITE_DEFAULT                   => 65.
XCI_DROP_SITE_DELETE_REGION             => 66.
XCI_DROP_SITE_DELETE_REGION_PTR         => 67.
XCI_DROP_SITE_EVENT_MASK                => 68.
XCI_DROP_SITE_ID                        => 69.
XCI_DROP_SITE_REGION                    => 70.
XCI_DROP_SITE_REGION_PTR                => 71.
XCI_DirectColor                         => 72.
XCI_ERROR_NON_RECOVERABLE               => 73.
XCI_ERROR_RECOVERABLE                   => 74.
XCI_FALSE                               => 75.
XCI_FONT                                => 76.
XCI_FONT_CHAR_HEIGHT                    => 77.
XCI_FONT_CHAR_WIDTH                     => 78.
XCI_FONT_DEFAULT_CHAR_HEIGHT            => 79.
XCI_FONT_DEFAULT_CHAR_WIDTH             => 80.
XCI_FONT_FAMILY                         => 81.
XCI_FONT_HEAD                           => 82.
XCI_FONT_INFO                           => 83.
XCI_FONT_NAME                           => 84.
XCI_FONT_PIXFONT                        => 85.
XCI_FONT_RESCALE_OF                     => 86.
XCI_FONT_SCALE                          => 87.
XCI_FONT_SIZE                           => 88.
XCI_FONT_SIZES_FOR_SCALE                => 89.
XCI_FONT_STRING_DIMS                    => 90.
XCI_FONT_STYLE                          => 91.
XCI_FONT_TYPE                           => 92.
XCI_FONT_UNKNOWN_HEAD                   => 93.
XCI_FRAME                               => 94.
XCI_FRAME_BACKGROUND_COLOR              => 95.
XCI_FRAME_BASE                          => 96.
XCI_FRAME_BUSY                          => 97.
XCI_FRAME_CLOSED                        => 98.
XCI_FRAME_CLOSED_RECT                   => 99.
XCI_FRAME_CMD                           => 100.
XCI_FRAME_CMD_DEFAULT_PIN_STATE         => 101.
XCI_FRAME_CMD_PANEL                     => 102.
XCI_FRAME_CMD_PIN_STATE                 => 103.
XCI_FRAME_CMD_PUSHPIN_IN                => 104.
XCI_FRAME_COUNT                         => 105.
XCI_FRAME_CURRENT_RECT                  => 106.
XCI_FRAME_DEFAULT_DONE_PROC             => 107.
XCI_FRAME_DONE_PROC                     => 108.
XCI_FRAME_FOCUS_DIRECTION               => 109.
XCI_FRAME_FOCUS_GC                      => 110.
XCI_FRAME_FOCUS_RIGHT_IMAGE             => 111.
XCI_FRAME_FOCUS_UP_IMAGE                => 112.
XCI_FRAME_FOCUS_WIN                     => 113.
XCI_FRAME_FOREGROUND_COLOR              => 114.
XCI_FRAME_GROUP_LEADER                  => 115.
XCI_FRAME_ICON                          => 116.
XCI_FRAME_INHERIT_COLORS                => 117.
XCI_FRAME_LABEL                         => 118.
XCI_FRAME_LEFT_FOOTER                   => 119.
XCI_FRAME_NEXT_CHILD                    => 120.
XCI_FRAME_NEXT_PANE                     => 121.
XCI_FRAME_NO_CONFIRM                    => 122.
XCI_FRAME_NTH_SUBFRAME                  => 123.
XCI_FRAME_NTH_SUBWINDOW                 => 124.
XCI_FRAME_OLD_RECT                      => 125.
XCI_FRAME_ORPHAN_WINDOW                 => 126.
XCI_FRAME_PREVIOUS_ELEMENT              => 127.
XCI_FRAME_PREVIOUS_PANE                 => 128.
XCI_FRAME_PROPERTIES_PROC               => 129.
XCI_FRAME_PROPS                         => 130.
XCI_FRAME_RIGHT_FOOTER                  => 131.
XCI_FRAME_SCALE_STATE                   => 132.
XCI_FRAME_SHOW_FOOTER                   => 133.
XCI_FRAME_SHOW_HEADER                   => 134.
XCI_FRAME_SHOW_LABEL                    => 135.
XCI_FRAME_SHOW_RESIZE_CORNER            => 136.
XCI_FRAME_SUBWINDOWS_ADJUSTABLE         => 137.
XCI_FULLSCREEN                          => 138.
XCI_FULLSCREEN_ALLOW_EVENTS             => 139.
XCI_FULLSCREEN_ALLOW_SYNC_EVENT         => 140.
XCI_FULLSCREEN_CURSOR_WINDOW            => 141.
XCI_FULLSCREEN_GRAB_KEYBOARD            => 142.
XCI_FULLSCREEN_GRAB_POINTER             => 143.
XCI_FULLSCREEN_GRAB_SERVER              => 144.
XCI_FULLSCREEN_INPUT_WINDOW             => 145.
XCI_FULLSCREEN_KEYBOARD_GRAB_KBD_MODE   => 146.
XCI_FULLSCREEN_KEYBOARD_GRAB_PTR_MODE   => 147.
XCI_FULLSCREEN_OWNER_EVENTS             => 148.
XCI_FULLSCREEN_PAINT_WINDOW             => 149.
XCI_FULLSCREEN_POINTER_GRAB_KBD_MODE    => 150.
XCI_FULLSCREEN_POINTER_GRAB_PTR_MODE    => 151.
XCI_FULLSCREEN_RECT                     => 152.
XCI_FULLSCREEN_SYNC                     => 153.
XCI_GrayScale                           => 154.
XCI_ICON                                => 155.
XCI_ICON_IMAGE                          => 156.
XCI_ICON_IMAGE_RECT                     => 157.
XCI_ICON_LABEL_RECT                     => 158.
XCI_KBD_DONE                            => 159.
XCI_KBD_USE                             => 160.
XCI_LOC_DRAG                            => 161.
XCI_LOC_MOVE                            => 162.
XCI_LOC_WINENTER                        => 163.
XCI_LOC_WINEXIT                         => 164.
XCI_MENU                                => 165.
XCI_MENUITEM                            => 166.
XCI_MENU_ACTION_IMAGE                   => 167.
XCI_MENU_ACTION_ITEM                    => 168.
XCI_MENU_APPEND_ITEM                    => 169.
XCI_MENU_BUSY_PROC                      => 170.
XCI_MENU_BUTTON                         => 171.
XCI_MENU_CHOICE_MENU                    => 172.
XCI_MENU_CLASS                          => 173.
XCI_MENU_CLIENT_DATA                    => 174.
XCI_MENU_COLOR                          => 175.
XCI_MENU_COL_MAJOR                      => 176.
XCI_MENU_COMMAND_MENU                   => 177.
XCI_MENU_CURSOR                         => 178.
XCI_MENU_DEFAULT                        => 179.
XCI_MENU_DEFAULT_ITEM                   => 180.
XCI_MENU_DESCEND_FIRST                  => 181.
XCI_MENU_DISABLE_ITEM                   => 182.
XCI_MENU_DONE_PROC                      => 183.
XCI_MENU_ENABLE_RECT                    => 184.
XCI_MENU_FD                             => 185.
XCI_MENU_FEEDBACK                       => 186.
XCI_MENU_FIRST_EVENT                    => 187.
XCI_MENU_GEN_PIN_WINDOW                 => 188.
XCI_MENU_GEN_PROC                       => 189.
XCI_MENU_GEN_PROC_IMAGE                 => 190.
XCI_MENU_GEN_PROC_ITEM                  => 191.
XCI_MENU_GEN_PULLRIGHT                  => 192.
XCI_MENU_GEN_PULLRIGHT_IMAGE            => 193.
XCI_MENU_GEN_PULLRIGHT_ITEM             => 194.
XCI_MENU_HORIZONTAL_LINE                => 195.
XCI_MENU_IE                             => 196.
XCI_MENU_IMAGE                          => 197.
XCI_MENU_IMAGES                         => 198.
XCI_MENU_IMAGE_ITEM                     => 199.
XCI_MENU_INACTIVE                       => 200.
XCI_MENU_INSERT                         => 201.
XCI_MENU_INSERT_ITEM                    => 202.
XCI_MENU_INVERT                         => 203.
XCI_MENU_ITEM                           => 204.
XCI_MENU_LAST_EVENT                     => 205.
XCI_MENU_LINE_AFTER_ITEM                => 206.
XCI_MENU_MENU                           => 207.
XCI_MENU_NCOLS                          => 208.
XCI_MENU_NITEMS                         => 209.
XCI_MENU_NOTIFY_PROC                    => 210.
XCI_MENU_NOTIFY_STATUS                  => 211.
XCI_MENU_NROWS                          => 212.
XCI_MENU_NTH_ITEM                       => 213.
XCI_MENU_PARENT                         => 214.
XCI_MENU_PIN                            => 215.
XCI_MENU_PIN_PROC                       => 216.
XCI_MENU_PIN_WINDOW                     => 217.
XCI_MENU_POS                            => 218.
XCI_MENU_POSITION_RECT                  => 219.
XCI_MENU_PULLDOWN                       => 220.
XCI_MENU_PULLRIGHT                      => 221.
XCI_MENU_PULLRIGHT_DELTA                => 222.
XCI_MENU_PULLRIGHT_IMAGE                => 223.
XCI_MENU_PULLRIGHT_ITEM                 => 224.
XCI_MENU_RELEASE                        => 225.
XCI_MENU_RELEASE_IMAGE                  => 226.
XCI_MENU_REMOVE                         => 227.
XCI_MENU_REMOVE_ITEM                    => 228.
XCI_MENU_REPLACE                        => 229.
XCI_MENU_REPLACE_ITEM                   => 230.
XCI_MENU_SELECTED                       => 231.
XCI_MENU_SELECTED_ITEM                  => 232.
XCI_MENU_SHADOW_GC                      => 233.
XCI_MENU_SHADOW_MENU                    => 234.
XCI_MENU_STRING                         => 235.
XCI_MENU_STRINGS                        => 236.
XCI_MENU_STRING_ITEM                    => 237.
XCI_MENU_TITLE                          => 238.
XCI_MENU_TITLE_IMAGE                    => 239.
XCI_MENU_TITLE_ITEM                     => 240.
XCI_MENU_TOGGLE_MENU                    => 241.
XCI_MENU_TYPE                           => 242.
XCI_MENU_VALID_RESULT                   => 243.
XCI_MENU_VALUE                          => 244.
XCI_MENU_VERTICAL_LINE                  => 245.
XCI_MENU_WINDOW_MENU                    => 246.
XCI_NOTICE_BLOCK_THREAD                 => 247.
XCI_NOTICE_BUSY_FRAMES                  => 248.
XCI_NOTICE_BUTTON                       => 249.
XCI_NOTICE_BUTTON_NO                    => 250.
XCI_NOTICE_BUTTON_YES                   => 251.
XCI_NOTICE_EVENT_PROC                   => 252.
XCI_NOTICE_FOCUS_XY                     => 253.
XCI_NOTICE_FONT                         => 254.
XCI_NOTICE_LOCK_SCREEN                  => 255.
XCI_NOTICE_MESSAGE_STRINGS              => 256.
XCI_NOTICE_MESSAGE_STRINGS_ARRAY_PTR    => 257.
XCI_NOTICE_NO                           => 258.
XCI_NOTICE_NO_BEEPING                   => 259.
XCI_NOTICE_STATUS                       => 260.
XCI_NOTICE_TRIGGER                      => 261.
XCI_NOTICE_TRIGGER_EVENT                => 262.
XCI_NOTICE_YES                          => 263.
XCI_NOTIFY_SAFE                         => 264.
XCI_NULL                                => 265.
XCI_OPENWIN                             => 266.
XCI_OPENWIN_ADJUST_FOR_HORIZONTAL_SCR   => 267.
XCI_OPENWIN_ADJUST_FOR_VERTICAL_SCROL   => 268.
XCI_OPENWIN_AUTO_CLEAR                  => 269.
XCI_OPENWIN_HORIZONTAL_SCROLLBAR        => 270.
XCI_OPENWIN_NO_MARGIN                   => 271.
XCI_OPENWIN_NTH_VIEW                    => 272.
XCI_OPENWIN_NVIEWS                      => 273.
XCI_OPENWIN_SELECTED_VIEW               => 274.
XCI_OPENWIN_SHOW_BORDERS                => 275.
XCI_OPENWIN_SPLIT                       => 276.
XCI_OPENWIN_SPLIT_DESTROY_PROC          => 277.
XCI_OPENWIN_SPLIT_DIRECTION             => 278.
XCI_OPENWIN_SPLIT_INIT_PROC             => 279.
XCI_OPENWIN_SPLIT_POSITION              => 280.
XCI_OPENWIN_SPLIT_VIEW                  => 281.
XCI_OPENWIN_SPLIT_VIEW_START            => 282.
XCI_OPENWIN_VERTICAL_SCROLLBAR          => 283.
XCI_OPENWIN_VIEW_ATTRS                  => 284.
XCI_OPENWIN_VIEW_CLASS                  => 285.
XCI_PANEL                               => 286.
XCI_PANEL_ABBREV_MENU_BUTTON            => 287.
XCI_PANEL_ACCEPT_KEYSTROKE              => 288.
XCI_PANEL_BACKGROUND_PROC               => 289.
XCI_PANEL_BLINK_CARET                   => 290.
XCI_PANEL_BOLD_FONT                     => 291.
XCI_PANEL_BUSY                          => 292.
XCI_PANEL_BUTTON                        => 293.
XCI_PANEL_CARET_ITEM                    => 294.
XCI_PANEL_CHILD_CARET_ITEM              => 295.
XCI_PANEL_CHOICE                        => 296.
XCI_PANEL_CHOICES_BOLD                  => 297.
XCI_PANEL_CHOICE_COLOR                  => 298.
XCI_PANEL_CHOICE_FONT                   => 299.
XCI_PANEL_CHOICE_FONTS                  => 300.
XCI_PANEL_CHOICE_IMAGE                  => 301.
XCI_PANEL_CHOICE_IMAGES                 => 302.
XCI_PANEL_CHOICE_NCOLS                  => 303.
XCI_PANEL_CHOICE_NROWS                  => 304.
XCI_PANEL_CHOICE_OFFSET                 => 305.
XCI_PANEL_CHOICE_RECT                   => 306.
XCI_PANEL_CHOICE_STRING                 => 307.
XCI_PANEL_CHOICE_STRINGS                => 308.
XCI_PANEL_CHOICE_X                      => 309.
XCI_PANEL_CHOICE_XS                     => 310.
XCI_PANEL_CHOICE_Y                      => 311.
XCI_PANEL_CHOICE_YS                     => 312.
XCI_PANEL_CHOOSE_NONE                   => 313.
XCI_PANEL_CHOOSE_ONE                    => 314.
XCI_PANEL_CLIENT_DATA                   => 315.
XCI_PANEL_CURRENT_ITEM                  => 316.
XCI_PANEL_DEFAULT_ITEM                  => 317.
XCI_PANEL_DEFAULT_VALUE                 => 318.
XCI_PANEL_DIRECTION                     => 319.
XCI_PANEL_DISPLAY_LEVEL                 => 320.
XCI_PANEL_DROP_BUSY_GLYPH               => 321.
XCI_PANEL_DROP_DND                      => 322.
XCI_PANEL_DROP_FULL                     => 323.
XCI_PANEL_DROP_GLYPH                    => 324.
XCI_PANEL_DROP_HEIGHT                   => 325.
XCI_PANEL_DROP_SEL_REQ                  => 326.
XCI_PANEL_DROP_WIDTH                    => 327.
XCI_PANEL_EVENT_PROC                    => 328.
XCI_PANEL_EXTRA_PAINT_HEIGHT            => 329.
XCI_PANEL_EXTRA_PAINT_WIDTH             => 330.
XCI_PANEL_FEEDBACK                      => 331.
XCI_PANEL_FIRST_ITEM                    => 332.
XCI_PANEL_FIRST_PAINT_WINDOW            => 333.
XCI_PANEL_FOCUS_PW                      => 334.
XCI_PANEL_GAUGE                         => 335.
XCI_PANEL_GAUGE_WIDTH                   => 336.
XCI_PANEL_GINFO                         => 337.
XCI_PANEL_HORIZONTAL                    => 338.
XCI_PANEL_INACTIVE                      => 339.
XCI_PANEL_ITEM                          => 340.
XCI_PANEL_ITEM_CLASS                    => 341.
XCI_PANEL_ITEM_COLOR                    => 342.
XCI_PANEL_ITEM_CREATED                  => 343.
XCI_PANEL_ITEM_DEAF                     => 344.
XCI_PANEL_ITEM_LABEL_RECT               => 345.
XCI_PANEL_ITEM_MENU                     => 346.
XCI_PANEL_ITEM_NTH_WINDOW               => 347.
XCI_PANEL_ITEM_NWINDOWS                 => 348.
XCI_PANEL_ITEM_OWNER                    => 349.
XCI_PANEL_ITEM_RECT                     => 350.
XCI_PANEL_ITEM_VALUE_RECT               => 351.
XCI_PANEL_ITEM_WANTS_ADJUST             => 352.
XCI_PANEL_ITEM_WANTS_ISO                => 353.
XCI_PANEL_ITEM_X                        => 354.
XCI_PANEL_ITEM_X_GAP                    => 355.
XCI_PANEL_ITEM_X_POSITION               => 356.
XCI_PANEL_ITEM_X_START                  => 357.
XCI_PANEL_ITEM_Y                        => 358.
XCI_PANEL_ITEM_Y_GAP                    => 359.
XCI_PANEL_ITEM_Y_POSITION               => 360.
XCI_PANEL_ITEM_Y_START                  => 361.
XCI_PANEL_JUMP_DELTA                    => 362.
XCI_PANEL_LABEL_BOLD                    => 363.
XCI_PANEL_LABEL_BOXED                   => 364.
XCI_PANEL_LABEL_FONT                    => 365.
XCI_PANEL_LABEL_IMAGE                   => 366.
XCI_PANEL_LABEL_INVERTED                => 367.
XCI_PANEL_LABEL_STRING                  => 368.
XCI_PANEL_LABEL_WIDTH                   => 369.
XCI_PANEL_LABEL_X                       => 370.
XCI_PANEL_LABEL_Y                       => 371.
XCI_PANEL_LAYOUT                        => 372.
XCI_PANEL_LINE_BREAK_ACTION             => 373.
XCI_PANEL_LIST                          => 374.
XCI_PANEL_LIST_CLIENT_DATA              => 375.
XCI_PANEL_LIST_CLIENT_DATAS             => 376.
XCI_PANEL_LIST_DELETE                   => 377.
XCI_PANEL_LIST_DELETE_ROWS              => 378.
XCI_PANEL_LIST_DELETE_SELECTED_ROWS     => 379.
XCI_PANEL_LIST_DISPLAY_ROWS             => 380.
XCI_PANEL_LIST_FIRST_SELECTED           => 381.
XCI_PANEL_LIST_FONT                     => 382.
XCI_PANEL_LIST_FONTS                    => 383.
XCI_PANEL_LIST_GLYPH                    => 384.
XCI_PANEL_LIST_GLYPHS                   => 385.
XCI_PANEL_LIST_INSERT                   => 386.
XCI_PANEL_LIST_INSERT_DUPLICATE         => 387.
XCI_PANEL_LIST_INSERT_GLYPHS            => 388.
XCI_PANEL_LIST_INSERT_STRINGS           => 389.
XCI_PANEL_LIST_MODE                     => 390.
XCI_PANEL_LIST_NEXT_SELECTED            => 391.
XCI_PANEL_LIST_NROWS                    => 392.
XCI_PANEL_LIST_ROW_HEIGHT               => 393.
XCI_PANEL_LIST_ROW_HIGHLIGHTED          => 394.
XCI_PANEL_LIST_SCROLLBAR                => 395.
XCI_PANEL_LIST_SELECT                   => 396.
XCI_PANEL_LIST_SELECTED                 => 397.
XCI_PANEL_LIST_SORT                     => 398.
XCI_PANEL_LIST_STRING                   => 399.
XCI_PANEL_LIST_STRINGS                  => 400.
XCI_PANEL_LIST_TITLE                    => 401.
XCI_PANEL_LIST_WIDTH                    => 402.
XCI_PANEL_MARKED                        => 403.
XCI_PANEL_MARK_IMAGE                    => 404.
XCI_PANEL_MARK_IMAGES                   => 405.
XCI_PANEL_MARK_X                        => 406.
XCI_PANEL_MARK_XS                       => 407.
XCI_PANEL_MARK_Y                        => 408.
XCI_PANEL_MARK_YS                       => 409.
XCI_PANEL_MASK_CHAR                     => 410.
XCI_PANEL_MAX_TICK_STRING               => 411.
XCI_PANEL_MAX_VALUE                     => 412.
XCI_PANEL_MAX_VALUE_STRING              => 413.
XCI_PANEL_MENU_ITEM                     => 414.
XCI_PANEL_MESSAGE                       => 415.
XCI_PANEL_MIN_TICK_STRING               => 416.
XCI_PANEL_MIN_VALUE                     => 417.
XCI_PANEL_MIN_VALUE_STRING              => 418.
XCI_PANEL_NCHOICES                      => 419.
XCI_PANEL_NEXT_COL                      => 420.
XCI_PANEL_NEXT_ITEM                     => 421.
XCI_PANEL_NEXT_ROW                      => 422.
XCI_PANEL_NOMARK_IMAGE                  => 423.
XCI_PANEL_NOMARK_IMAGES                 => 424.
XCI_PANEL_NOTIFY_LEVEL                  => 425.
XCI_PANEL_NOTIFY_PROC                   => 426.
XCI_PANEL_NOTIFY_STATUS                 => 427.
XCI_PANEL_NOTIFY_STRING                 => 428.
XCI_PANEL_NO_REDISPLAY_ITEM             => 429.
XCI_PANEL_NUMERIC_TEXT                  => 430.
XCI_PANEL_NUM_TXT                       => 431.
XCI_PANEL_OPS_VECTOR                    => 432.
XCI_PANEL_PAINT                         => 433.
XCI_PANEL_PARENT_PANEL                  => 434.
XCI_PANEL_PRIMARY_FOCUS_ITEM            => 435.
XCI_PANEL_READ_ONLY                     => 436.
XCI_PANEL_REPAINT_PROC                  => 437.
XCI_PANEL_SHOW_RANGE                    => 438.
XCI_PANEL_SHOW_VALUE                    => 439.
XCI_PANEL_SLIDER                        => 440.
XCI_PANEL_SLIDER_END_BOXES              => 441.
XCI_PANEL_SLIDER_WIDTH                  => 442.
XCI_PANEL_STATUS                        => 443.
XCI_PANEL_TEXT                          => 444.
XCI_PANEL_TEXT_CURSOR                   => 445.
XCI_PANEL_TEXT_SELECT_LINE              => 446.
XCI_PANEL_TICKS                         => 447.
XCI_PANEL_TOGGLE_VALUE                  => 448.
XCI_PANEL_VALUE                         => 449.
XCI_PANEL_VALUE_DISPLAY_LENGTH          => 450.
XCI_PANEL_VALUE_DISPLAY_WIDTH           => 451.
XCI_PANEL_VALUE_FONT                    => 452.
XCI_PANEL_VALUE_STORED_LENGTH           => 453.
XCI_PANEL_VALUE_UNDERLINED              => 454.
XCI_PANEL_VALUE_X                       => 455.
XCI_PANEL_VALUE_Y                       => 456.
XCI_PANEL_VERTICAL                      => 457.
XCI_PANEL_VIEW                          => 458.
XCI_PSCANVAS                            => 459.
XCI_PSCANVAS_NEWSTOKEN                  => 460.
XCI_PSCANVAS_REPAINT_PROC               => 461.
XCI_PSCANVAS_RESIZE_PROC                => 462.
XCI_PSCANVAS_SYNC                       => 463.
XCI_PseudoColor                         => 464.
XCI_SCREEN                              => 465.
XCI_SCREEN_DEFAULT_CMS                  => 466.
XCI_SCREEN_DEFAULT_VISUAL               => 467.
XCI_SCREEN_GINFO                        => 468.
XCI_SCREEN_IMAGE_VISUAL                 => 469.
XCI_SCREEN_NUMBER                       => 470.
XCI_SCREEN_OLGC_LIST                    => 471.
XCI_SCREEN_RETAIN_WINDOWS               => 472.
XCI_SCREEN_SERVER                       => 473.
XCI_SCREEN_VISUAL                       => 474.
XCI_SCROLLABLE_PANEL                    => 475.
XCI_SCROLLBAR                           => 476.
XCI_SCROLLBAR_COMPUTE_SCROLL_PROC       => 477.
XCI_SCROLLBAR_DIRECTION                 => 478.
XCI_SCROLLBAR_HORIZONTAL                => 479.
XCI_SCROLLBAR_INACTIVE                  => 480.
XCI_SCROLLBAR_LAST_VIEW_START           => 481.
XCI_SCROLLBAR_MENU                      => 482.
XCI_SCROLLBAR_NORMALIZE_PROC            => 483.
XCI_SCROLLBAR_NOTIFY_CLIENT             => 484.
XCI_SCROLLBAR_OBJECT_LENGTH             => 485.
XCI_SCROLLBAR_OVERSCROLL                => 486.
XCI_SCROLLBAR_PAGE_LENGTH               => 487.
XCI_SCROLLBAR_PIXELS_PER_UNIT           => 488.
XCI_SCROLLBAR_SPLITTABLE                => 489.
XCI_SCROLLBAR_VERTICAL                  => 490.
XCI_SCROLLBAR_VIEW_LENGTH               => 491.
XCI_SCROLLBAR_VIEW_START                => 492.
XCI_SELN_AGENT_INFO                     => 493.
XCI_SELN_LEVEL_LINE                     => 494.
XCI_SELN_REQ_BYTESIZE                   => 495.
XCI_SELN_REQ_COMMIT_PENDING_DELETE      => 496.
XCI_SELN_REQ_CONTENTS_ASCII             => 497.
XCI_SELN_REQ_CONTENTS_OBJECT            => 498.
XCI_SELN_REQ_CONTENTS_PIECES            => 499.
XCI_SELN_REQ_DELETE                     => 500.
XCI_SELN_REQ_END_REQUEST                => 501.
XCI_SELN_REQ_FAILED                     => 502.
XCI_SELN_REQ_FAKE_LEVEL                 => 503.
XCI_SELN_REQ_FILE_NAME                  => 504.
XCI_SELN_REQ_FIRST                      => 505.
XCI_SELN_REQ_FIRST_UNIT                 => 506.
XCI_SELN_REQ_FUNC_KEY_STATE             => 507.
XCI_SELN_REQ_IS_READONLY                => 508.
XCI_SELN_REQ_LAST                       => 509.
XCI_SELN_REQ_LAST_UNIT                  => 510.
XCI_SELN_REQ_LEVEL                      => 511.
XCI_SELN_REQ_OBJECT_SIZE                => 512.
XCI_SELN_REQ_RESTORE                    => 513.
XCI_SELN_REQ_SELECTED_WINDOWS           => 514.
XCI_SELN_REQ_SET_LEVEL                  => 515.
XCI_SELN_REQ_UNKNOWN                    => 516.
XCI_SELN_REQ_YIELD                      => 517.
XCI_SELN_TRACE_ACQUIRE                  => 518.
XCI_SELN_TRACE_DONE                     => 519.
XCI_SELN_TRACE_DUMP                     => 520.
XCI_SELN_TRACE_HOLD_FILE                => 521.
XCI_SELN_TRACE_INFORM                   => 522.
XCI_SELN_TRACE_INQUIRE                  => 523.
XCI_SELN_TRACE_STOP                     => 524.
XCI_SELN_TRACE_YIELD                    => 525.
XCI_SEL_APPEND_TYPES                    => 526.
XCI_SEL_APPEND_TYPE_NAMES               => 527.
XCI_SEL_CONVERT_PROC                    => 528.
XCI_SEL_COPY                            => 529.
XCI_SEL_DATA                            => 530.
XCI_SEL_DONE_PROC                       => 531.
XCI_SEL_FIRST_ITEM                      => 532.
XCI_SEL_FORMAT                          => 533.
XCI_SEL_LENGTH                          => 534.
XCI_SEL_LOSE_PROC                       => 535.
XCI_SEL_NEXT_ITEM                       => 536.
XCI_SEL_OWN                             => 537.
XCI_SEL_PROP_DATA                       => 538.
XCI_SEL_PROP_FORMAT                     => 539.
XCI_SEL_PROP_INFO                       => 540.
XCI_SEL_PROP_LENGTH                     => 541.
XCI_SEL_PROP_TYPE                       => 542.
XCI_SEL_PROP_TYPE_NAME                  => 543.
XCI_SEL_RANK                            => 544.
XCI_SEL_RANK_NAME                       => 545.
XCI_SEL_REPLY_PROC                      => 546.
XCI_SEL_TIME                            => 547.
XCI_SEL_TIMEOUT_VALUE                   => 548.
XCI_SEL_TYPE                            => 549.
XCI_SEL_TYPES                           => 550.
XCI_SEL_TYPE_INDEX                      => 551.
XCI_SEL_TYPE_NAME                       => 552.
XCI_SEL_TYPE_NAMES                      => 553.
XCI_SERVER                              => 554.
XCI_SERVER_ALT_MOD_MASK                 => 555.
XCI_SERVER_ASCII_KEYSTATE               => 556.
XCI_SERVER_ASCII_MAP                    => 557.
XCI_SERVER_ASCII_TO_KEYCODE_MAP         => 558.
XCI_SERVER_BUTTON2_MOD                  => 559.
XCI_SERVER_BUTTON3_MOD                  => 560.
XCI_SERVER_CHORDING_TIMEOUT             => 561.
XCI_SERVER_CHORD_MENU                   => 562.
XCI_SERVER_DO_DRAG_COPY                 => 563.
XCI_SERVER_DO_DRAG_LOAD                 => 564.
XCI_SERVER_DO_DRAG_MOVE                 => 565.
XCI_SERVER_EXTENSION_PROC               => 566.
XCI_SERVER_EXTERNAL_XEVENT_MASK         => 567.
XCI_SERVER_EXTERNAL_XEVENT_PROC         => 568.
XCI_SERVER_FONT_WITH_NAME               => 569.
XCI_SERVER_IMAGE                        => 570.
XCI_SERVER_IMAGE_BITMAP_FILE            => 571.
XCI_SERVER_IMAGE_BITS                   => 572.
XCI_SERVER_IMAGE_COLORMAP               => 573.
XCI_SERVER_IMAGE_DEPTH                  => 574.
XCI_SERVER_IMAGE_PIXMAP                 => 575.
XCI_SERVER_IMAGE_SAVE_PIXMAP            => 576.
XCI_SERVER_IMAGE_X_BITS                 => 577.
XCI_SERVER_JOURNALLING                  => 578.
XCI_SERVER_JOURNAL_SYNC_ATOM            => 579.
XCI_SERVER_JOURNAL_SYNC_EVENT           => 580.
XCI_SERVER_KEY_EVENTS_MAP               => 581.
XCI_SERVER_META_MOD_MASK                => 582.
XCI_SERVER_MOUSE_BUTTONS                => 583.
XCI_SERVER_NONASCII_KEYSTATE            => 584.
XCI_SERVER_NTH_SCREEN                   => 585.
XCI_SERVER_PRIVATE_XEVENT_MASK          => 586.
XCI_SERVER_PRIVATE_XEVENT_PROC          => 587.
XCI_SERVER_RESOURCE_DB                  => 588.
XCI_SERVER_SEMANTIC_MAP                 => 589.
XCI_SERVER_SYNC                         => 590.
XCI_SERVER_SYNC_AND_PROCESS_EVENTS      => 591.
XCI_SERVER_WM_ADD_DECOR                 => 592.
XCI_SERVER_WM_CHANGE_STATE              => 593.
XCI_SERVER_WM_COMMAND                   => 594.
XCI_SERVER_WM_DECOR_CLOSE               => 595.
XCI_SERVER_WM_DECOR_FOOTER              => 596.
XCI_SERVER_WM_DECOR_HEADER              => 597.
XCI_SERVER_WM_DECOR_OK                  => 598.
XCI_SERVER_WM_DECOR_PIN                 => 599.
XCI_SERVER_WM_DECOR_RESIZE              => 600.
XCI_SERVER_WM_DEFAULT_BUTTON            => 601.
XCI_SERVER_WM_DELETE_DECOR              => 602.
XCI_SERVER_WM_DELETE_WINDOW             => 603.
XCI_SERVER_WM_DISMISS                   => 604.
XCI_SERVER_WM_MENU_FULL                 => 605.
XCI_SERVER_WM_MENU_LIMITED              => 606.
XCI_SERVER_WM_NONE                      => 607.
XCI_SERVER_WM_PIN_IN                    => 608.
XCI_SERVER_WM_PIN_OUT                   => 609.
XCI_SERVER_WM_PIN_STATE                 => 610.
XCI_SERVER_WM_PROTOCOLS                 => 611.
XCI_SERVER_WM_RESCALE                   => 612.
XCI_SERVER_WM_RESCALE_STATE             => 613.
XCI_SERVER_WM_SAVE_YOURSELF             => 614.
XCI_SERVER_WM_SCALE_LARGE               => 615.
XCI_SERVER_WM_SCALE_MEDIUM              => 616.
XCI_SERVER_WM_SCALE_SMALL               => 617.
XCI_SERVER_WM_SCALE_XLARGE              => 618.
XCI_SERVER_WM_STATE                     => 619.
XCI_SERVER_WM_TAKE_FOCUS                => 620.
XCI_SERVER_WM_WINDOW_MOVED              => 621.
XCI_SERVER_WM_WINMSG_ERROR              => 622.
XCI_SERVER_WM_WINMSG_STATE              => 623.
XCI_SERVER_WM_WIN_ATTR                  => 624.
XCI_SERVER_WM_WIN_BUSY                  => 625.
XCI_SERVER_WM_WT_BASE                   => 626.
XCI_SERVER_WM_WT_CMD                    => 627.
XCI_SERVER_WM_WT_HELP                   => 628.
XCI_SERVER_WM_WT_NOTICE                 => 629.
XCI_SERVER_WM_WT_OTHER                  => 630.
XCI_SERVER_WM_WT_PROP                   => 631.
XCI_SERVER_XV_MAP                       => 632.
XCI_StaticColor                         => 633.
XCI_StaticGray                          => 634.
XCI_TERMSW_MODE                         => 635.
XCI_TEXTSW                              => 636.
XCI_TEXTSW_ACTION_CAPS_LOCK             => 637.
XCI_TEXTSW_ACTION_CHANGED_DIRECTORY     => 638.
XCI_TEXTSW_ACTION_DESTROY_VIEW          => 639.
XCI_TEXTSW_ACTION_EDITED_FILE           => 640.
XCI_TEXTSW_ACTION_EDITED_MEMORY         => 641.
XCI_TEXTSW_ACTION_FILE_IS_READONLY      => 642.
XCI_TEXTSW_ACTION_LOADED_FILE           => 643.
XCI_TEXTSW_ACTION_PAINTED               => 644.
XCI_TEXTSW_ACTION_REPLACED              => 645.
XCI_TEXTSW_ACTION_SAVING_FILE           => 646.
XCI_TEXTSW_ACTION_SCROLLED              => 647.
XCI_TEXTSW_ACTION_SPLIT_VIEW            => 648.
XCI_TEXTSW_ACTION_STORING_FILE          => 649.
XCI_TEXTSW_ACTION_TOOL_CLOSE            => 650.
XCI_TEXTSW_ACTION_TOOL_DESTROY          => 651.
XCI_TEXTSW_ACTION_TOOL_MGR              => 652.
XCI_TEXTSW_ACTION_TOOL_QUIT             => 653.
XCI_TEXTSW_ACTION_USING_MEMORY          => 654.
XCI_TEXTSW_ACTION_WRITE_FAILED          => 655.
XCI_TEXTSW_ADJUST_IS_PENDING_DELETE     => 656.
XCI_TEXTSW_AGAIN_LIMIT                  => 657.
XCI_TEXTSW_AGAIN_RECORDING              => 658.
XCI_TEXTSW_AUTO_INDENT                  => 659.
XCI_TEXTSW_AUTO_SCROLL_BY               => 660.
XCI_TEXTSW_BLINK_CARET                  => 661.
XCI_TEXTSW_BROWSING                     => 662.
XCI_TEXTSW_CANNOT_SET                   => 663.
XCI_TEXTSW_CHECKPOINT_FREQUENCY         => 664.
XCI_TEXTSW_CLIENT_DATA                  => 665.
XCI_TEXTSW_COALESCE_WITH                => 666.
XCI_TEXTSW_CONFIRM_OVERWRITE            => 667.
XCI_TEXTSW_CONTENTS                     => 668.
XCI_TEXTSW_CONTROL_CHARS_USE_FONT       => 669.
XCI_TEXTSW_DELIMITER_BACKWARD           => 670.
XCI_TEXTSW_DELIMITER_ENCLOSE            => 671.
XCI_TEXTSW_DELIMITER_FORWARD            => 672.
XCI_TEXTSW_DESTROY_ALL_VIEWS            => 673.
XCI_TEXTSW_DISABLE_CD                   => 674.
XCI_TEXTSW_DISABLE_LOAD                 => 675.
XCI_TEXTSW_EDIT_BACK_CHAR               => 676.
XCI_TEXTSW_EDIT_BACK_LINE               => 677.
XCI_TEXTSW_EDIT_BACK_WORD               => 678.
XCI_TEXTSW_EDIT_COUNT                   => 679.
XCI_TEXTSW_END_ALL_VIEWS                => 680.
XCI_TEXTSW_ERROR_MSG                    => 681.
XCI_TEXTSW_ES_CREATE_PROC               => 682.
XCI_TEXTSW_EXTRAS_CMD_MENU              => 683.
XCI_TEXTSW_FATTR_INPUT                  => 684.
XCI_TEXTSW_FATTR_INPUT_EVENT            => 685.
XCI_TEXTSW_FATTR_INSERTION_LINE         => 686.
XCI_TEXTSW_FATTR_INSERTION_POINTS       => 687.
XCI_TEXTSW_FATTR_SELECTION_ENDPOINTS    => 688.
XCI_TEXTSW_FIELD_BACKWARD               => 689.
XCI_TEXTSW_FIELD_ENCLOSE                => 690.
XCI_TEXTSW_FIELD_FORWARD                => 691.
XCI_TEXTSW_FILE                         => 692.
XCI_TEXTSW_FILE_CONTENTS                => 693.
XCI_TEXTSW_FIRST                        => 694.
XCI_TEXTSW_FIRST_LINE                   => 695.
XCI_TEXTSW_FOR_ALL_VIEWS                => 696.
XCI_TEXTSW_HISTORY_LIMIT                => 697.
XCI_TEXTSW_IGNORE_LIMIT                 => 698.
XCI_TEXTSW_INFINITY                     => 699.
XCI_TEXTSW_INSERTION_POINT              => 700.
XCI_TEXTSW_INSERT_FROM_FILE             => 701.
XCI_TEXTSW_INSERT_MAKES_VISIBLE         => 702.
XCI_TEXTSW_INSERT_ONLY                  => 703.
XCI_TEXTSW_LENGTH                       => 704.
XCI_TEXTSW_LINE_BREAK_ACTION            => 705.
XCI_TEXTSW_LOAD_DIR_IS_CD               => 706.
XCI_TEXTSW_LOWER_CONTEXT                => 707.
XCI_TEXTSW_MARK_DEFAULTS                => 708.
XCI_TEXTSW_MARK_MOVE_AT_INSERT          => 709.
XCI_TEXTSW_MEMORY_MAXIMUM               => 710.
XCI_TEXTSW_MODIFIED                     => 711.
XCI_TEXTSW_MULTI_CLICK_SPACE            => 712.
XCI_TEXTSW_MULTI_CLICK_TIMEOUT          => 713.
XCI_TEXTSW_MUST_SHOW_CARET              => 714.
XCI_TEXTSW_NAME_TO_USE                  => 715.
XCI_TEXTSW_NOTIFY_LEVEL                 => 716.
XCI_TEXTSW_NOTIFY_PROC                  => 717.
XCI_TEXTSW_NOT_A_FIELD                  => 718.
XCI_TEXTSW_NO_REPAINT_TIL_EVENT         => 719.
XCI_TEXTSW_NO_RESET_TO_SCRATCH          => 720.
XCI_TEXTSW_NO_SELECTION_SERVICE         => 721.
XCI_TEXTSW_READ_ONLY                    => 722.
XCI_TEXTSW_RESET_MODE                   => 723.
XCI_TEXTSW_RESET_TO_CONTENTS            => 724.
XCI_TEXTSW_SPARE_1                      => 725.
XCI_TEXTSW_SPARE_2                      => 726.
XCI_TEXTSW_STATUS                       => 727.
XCI_TEXTSW_STATUS_BAD_ATTR              => 728.
XCI_TEXTSW_STATUS_BAD_ATTR_VALUE        => 729.
XCI_TEXTSW_STATUS_CANNOT_ALLOCATE       => 730.
XCI_TEXTSW_STATUS_CANNOT_INSERT_FROM_FILE => 731.
XCI_TEXTSW_STATUS_CANNOT_OPEN_INPUT     => 732.
XCI_TEXTSW_STATUS_OKAY                  => 733.
XCI_TEXTSW_STATUS_OTHER_ERROR           => 734.
XCI_TEXTSW_STATUS_OUT_OF_MEMORY         => 735.
XCI_TEXTSW_STORE_CHANGES_FILE           => 736.
XCI_TEXTSW_SUBMENU_EDIT                 => 737.
XCI_TEXTSW_SUBMENU_FILE                 => 738.
XCI_TEXTSW_SUBMENU_FIND                 => 739.
XCI_TEXTSW_SUBMENU_VIEW                 => 740.
XCI_TEXTSW_TAB_WIDTH                    => 741.
XCI_TEXTSW_TAB_WIDTHS                   => 742.
XCI_TEXTSW_TEMP_FILENAME                => 743.
XCI_TEXTSW_UNIT_IS_CHAR                 => 744.
XCI_TEXTSW_UNIT_IS_LINE                 => 745.
XCI_TEXTSW_UNIT_IS_WORD                 => 746.
XCI_TEXTSW_UPDATE_SCROLLBAR             => 747.
XCI_TEXTSW_UPPER_CONTEXT                => 748.
XCI_TEXTSW_WRAPAROUND_SIZE              => 749.
XCI_TRUE                                => 750.
XCI_TTY                                 => 751.
XCI_TTY_ARGV                            => 752.
XCI_TTY_ARGV_DO_NOT_FORK                => 753.
XCI_TTY_BOLDSTYLE                       => 754.
XCI_TTY_BOLDSTYLE_NAME                  => 755.
XCI_TTY_CONSOLE                         => 756.
XCI_TTY_INPUT                           => 757.
XCI_TTY_INVERSE_MODE                    => 758.
XCI_TTY_OUTPUT                          => 759.
XCI_TTY_PAGE_MODE                       => 760.
XCI_TTY_PID                             => 761.
XCI_TTY_PTY_FD                          => 762.
XCI_TTY_QUIT_ON_CHILD_DEATH             => 763.
XCI_TTY_TTY_FD                          => 764.
XCI_TTY_UNDERLINE_MODE                  => 765.
XCI_TrueColor                           => 766.
XCI_WINDOW                              => 767.
XCI_WIN_ADD_DROP_INTEREST               => 768.
XCI_WIN_ADD_DROP_ITEM                   => 769.
XCI_WIN_ALARM                           => 770.
XCI_WIN_ALARM_DATA                      => 771.
XCI_WIN_ASCII_EVENTS                    => 772.
XCI_WIN_BACK                            => 773.
XCI_WIN_BACKGROUND_COLOR                => 774.
XCI_WIN_BELOW                           => 775.
XCI_WIN_BIT_GRAVITY                     => 776.
XCI_WIN_BORDER                          => 777.
XCI_WIN_CLIENT_DATA                     => 778.
XCI_WIN_CMD_LINE                        => 779.
XCI_WIN_CMS                             => 780.
XCI_WIN_CMS_CHANGE                      => 781.
XCI_WIN_CMS_DATA                        => 782.
XCI_WIN_CMS_NAME                        => 783.
XCI_WIN_COLLAPSE_EXPOSURES              => 784.
XCI_WIN_COLOR_INFO                      => 785.
XCI_WIN_COLUMNS                         => 786.
XCI_WIN_COLUMN_GAP                      => 787.
XCI_WIN_COLUMN_WIDTH                    => 788.
XCI_WIN_CONSUME_EVENT                   => 789.
XCI_WIN_CONSUME_EVENTS                  => 790.
XCI_WIN_CONSUME_KBD_EVENTS              => 791.
XCI_WIN_CONSUME_PICK_EVENTS             => 792.
XCI_WIN_CONSUME_X_EVENT_MASK            => 793.
XCI_WIN_CURSOR                          => 794.
XCI_WIN_DELETE_DROP_INTEREST            => 795.
XCI_WIN_DELETE_DROP_ITEM                => 796.
XCI_WIN_DEPTH                           => 797.
XCI_WIN_DESIRED_HEIGHT                  => 798.
XCI_WIN_DESIRED_WIDTH                   => 799.
XCI_WIN_DYNAMIC_VISUAL                  => 800.
XCI_WIN_ERROR_MSG                       => 801.
XCI_WIN_EVENT_PROC                      => 802.
XCI_WIN_EXTEND_TO_EDGE                  => 803.
XCI_WIN_FINDINTERSECT                   => 804.
XCI_WIN_FIT_HEIGHT                      => 805.
XCI_WIN_FIT_WIDTH                       => 806.
XCI_WIN_FOREGROUND_COLOR                => 807.
XCI_WIN_FRAME                           => 808.
XCI_WIN_FRONT                           => 809.
XCI_WIN_GLYPH_FONT                      => 810.
XCI_WIN_GRAB_ALL_INPUT                  => 811.
XCI_WIN_GRAPHICS_EXPOSE                 => 812.
XCI_WIN_HORIZONTAL_SCROLLBAR            => 813.
XCI_WIN_IGNORE_EVENT                    => 814.
XCI_WIN_IGNORE_EVENTS                   => 815.
XCI_WIN_IGNORE_X_EVENT_MASK             => 816.
XCI_WIN_INHERIT_COLORS                  => 817.
XCI_WIN_INPUT_MASK                      => 818.
XCI_WIN_INPUT_ONLY                      => 819.
XCI_WIN_IS_CLIENT_PANE                  => 820.
XCI_WIN_IS_IN_FULLSCREEN_MODE           => 821.
XCI_WIN_IS_ROOT                         => 822.
XCI_WIN_KBD_FOCUS                       => 823.
XCI_WIN_LAYOUT_PROC                     => 824.
XCI_WIN_LEFT_KEYS                       => 825.
XCI_WIN_LEFT_MARGIN                     => 826.
XCI_WIN_LOCKDATA                        => 827.
XCI_WIN_MAP                             => 828.
XCI_WIN_MENU                            => 829.
XCI_WIN_MESSAGE_DATA                    => 830.
XCI_WIN_MESSAGE_FORMAT                  => 831.
XCI_WIN_MESSAGE_TYPE                    => 832.
XCI_WIN_MOUSE_BUTTONS                   => 833.
XCI_WIN_MOUSE_XY                        => 834.
XCI_WIN_NOTIFY_EVENT_PROC               => 835.
XCI_WIN_NOTIFY_IMMEDIATE_EVENT_PROC     => 836.
XCI_WIN_NOTIFY_SAFE_EVENT_PROC          => 837.
XCI_WIN_NO_CLIPPING                     => 838.
XCI_WIN_NO_EVENTS                       => 839.
XCI_WIN_OUTER_RECT                      => 840.
XCI_WIN_PARENT                          => 841.
XCI_WIN_PERCENT_HEIGHT                  => 842.
XCI_WIN_PERCENT_WIDTH                   => 843.
XCI_WIN_RECT                            => 844.
XCI_WIN_RECT_INFO                       => 845.
XCI_WIN_REMOVE_CARET                    => 846.
XCI_WIN_RESIZE                          => 847.
XCI_WIN_RETAINED                        => 848.
XCI_WIN_RIGHT_KEYS                      => 849.
XCI_WIN_RIGHT_OF                        => 850.
XCI_WIN_ROWS                            => 851.
XCI_WIN_ROW_GAP                         => 852.
XCI_WIN_ROW_HEIGHT                      => 853.
XCI_WIN_SAVE_UNDER                      => 854.
XCI_WIN_SCALE_EXTRALARGE                => 855.
XCI_WIN_SCALE_LARGE                     => 856.
XCI_WIN_SCALE_MEDIUM                    => 857.
XCI_WIN_SCALE_SMALL                     => 858.
XCI_WIN_SCREEN_RECT                     => 859.
XCI_WIN_SELECTION_WINDOW                => 860.
XCI_WIN_SET_FOCUS                       => 861.
XCI_WIN_TOP_KEYS                        => 862.
XCI_WIN_TOP_LEVEL                       => 863.
XCI_WIN_TOP_LEVEL_NO_DECOR              => 864.
XCI_WIN_TOP_MARGIN                      => 865.
XCI_WIN_TRANSPARENT                     => 866.
XCI_WIN_TYPE                            => 867.
XCI_WIN_VERTICAL_SCROLLBAR              => 868.
XCI_WIN_WINDOW_GRAVITY                  => 869.
XCI_WIN_X_CLIP_RECTS                    => 870.
XCI_WIN_X_COLOR_INDICES                 => 871.
XCI_WIN_X_EVENT_MASK                    => 872.
XCI_WIN_X_PAINT_WINDOW                  => 873.
XCI_XV_AUTO_CREATE                      => 874.
XCI_XV_BOTTOM_MARGIN                    => 875.
XCI_XV_COPY_OF                          => 876.
XCI_XV_DEPTH                            => 877.
XCI_XV_DEVICE_NUMBER                    => 878.
XCI_XV_DISPLAY                          => 879.
XCI_XV_END_CREATE                       => 880.
XCI_XV_ERROR                            => 881.
XCI_XV_ERROR_PROC                       => 882.
XCI_XV_FOCUS_ELEMENT                    => 883.
XCI_XV_FONT                             => 884.
XCI_XV_GC                               => 885.
XCI_XV_HEIGHT                           => 886.
XCI_XV_HELP                             => 887.
XCI_XV_HELP_STRING_FILENAME             => 888.
XCI_XV_INIT_ARGC_PTR_ARGV               => 889.
XCI_XV_INIT_ARGS                        => 890.
XCI_XV_INSTANCE_NAME                    => 891.
XCI_XV_INSTANCE_QLIST                   => 892.
XCI_XV_IS_SUBTYPE_OF                    => 893.
XCI_XV_KEY_DATA                         => 894.
XCI_XV_KEY_DATA_COPY_PROC               => 895.
XCI_XV_KEY_DATA_REMOVE                  => 896.
XCI_XV_KEY_DATA_REMOVE_PROC             => 897.
XCI_XV_LABEL                            => 898.
XCI_XV_LC_BASIC_LOCALE                  => 899.
XCI_XV_LC_DISPLAY_LANG                  => 900.
XCI_XV_LC_INPUT_LANG                    => 901.
XCI_XV_LC_NUMERIC                       => 902.
XCI_XV_LC_TIME_FORMAT                   => 903.
XCI_XV_LEFT_MARGIN                      => 904.
XCI_XV_LOCALE_DIR                       => 905.
XCI_XV_MARGIN                           => 906.
XCI_XV_NAME                             => 907.
XCI_XV_OK                               => 908.
XCI_XV_OWNER                            => 909.
XCI_XV_QUARK                            => 910.
XCI_XV_RECT                             => 911.
XCI_XV_REF_COUNT                        => 912.
XCI_XV_RIGHT_MARGIN                     => 913.
XCI_XV_ROOT                             => 914.
XCI_XV_SCREEN                           => 915.
XCI_XV_SELF                             => 916.
XCI_XV_SHOW                             => 917.
XCI_XV_STATUS                           => 918.
XCI_XV_STATUS_PTR                       => 919.
XCI_XV_TOP_MARGIN                       => 920.
XCI_XV_TYPE                             => 921.
XCI_XV_USAGE_PROC                       => 922.
XCI_XV_USE_DB                           => 923.
XCI_XV_USE_INSTANCE_RESOURCES           => 924.
XCI_XV_USE_LOCALE                       => 925.
XCI_XV_VISUAL                           => 926.
XCI_XV_VISUAL_CLASS                     => 927.
XCI_XV_WIDTH                            => 928.
XCI_XV_X                                => 929.
XCI_XV_XID                              => 930.
XCI_XV_XNAME                            => 931.
XCI_XV_Y                                => 932.
XCI_xfcp_canvas_resize_proc             => 933.
XCI_xfcp_do_destroy_func                => 934.
XCI_xfcp_error_proc                     => 935.
XCI_xfcp_event_proc                     => 936.
XCI_xfcp_menu_notify_proc               => 937.
XCI_xfcp_notify_destroy_func            => 938.
XCI_xfcp_panel_button_notify_proc       => 939.
XCI_xfcp_panel_choice_notify_proc       => 940.
XCI_xfcp_panel_interpose_func           => 941.
XCI_xfcp_panel_list_notify_proc         => 942.
XCI_xfcp_panel_numeric_text_notify_proc => 943.
XCI_xfcp_panel_slider_notify_proc       => 944.
XCI_xfcp_panel_text_notify_proc         => 945.
XCI_xfcp_pscanvas_repaint_proc          => 946.
XCI_xfcp_textsw_notify_proc             => 947.
XCI_xfcp_xvcanvas_repaint_proc          => 948.
XCI_xfcp_xwcanvas_repaint_proc          => 949.
XCI_xfcp_textsw_interpose_func          => 950.
XCI_TERMSW                              => 951.
XCI_xfcp_no_kb_event_proc               => 952.
XCI_xfcp_panel_no_kb_interpose_func     => 953.
XCI_xfcp_textsw_no_kb_interpose_func    => 954.
XCI_PANEL_ALL                           => 955.
XCI_PANEL_DONE                          => 956.
XCI_MAX_DEF                             => 956.
XCI_NoEventMask                         => 0.
XCI_KeyPressMask                        => 1.
XCI_KeyReleaseMask                      => 2.
XCI_ButtonPressMask                     => 4.
XCI_ButtonReleaseMask                   => 8.
XCI_EnterWindowMask                     => 16.
XCI_LeaveWindowMask                     => 32.
XCI_PointerMotionMask                   => 64.
XCI_PointerMotionHintMask               => 128.
XCI_Button1MotionMask                   => 256.
XCI_Button2MotionMask                   => 512.
XCI_Button3MotionMask                   => 1024.
XCI_Button4MotionMask                   => 2048.
XCI_Button5MotionMask                   => 4096.
XCI_ButtonMotionMask                    => 8192.
XCI_KeymapStateMask                     => 16384.
XCI_ExposureMask                        => 32768.
XCI_VisibilityChangeMask                => 65536.
XCI_StructureNotifyMask                 => 131072.
XCI_ResizeRedirectMask                  => 262144.
XCI_SubstructureNotifyMask              => 524288.
XCI_SubstructureRedirectMask            => 1048576.
XCI_FocusChangeMask                     => 2097152.
XCI_PropertyChangeMask                  => 4194304.
XCI_ColormapChangeMask                  => 8388608.
XCI_OwnerGrabButtonMask                 => 16777216.
XCI_notify_interpose_destroy_func       => 1.
XCI_notify_interpose_event_func         => 2.
XCI_textsw_add_mark                     => 3.
XCI_textsw_append_file_name             => 4.
XCI_textsw_delete                       => 5.
XCI_textsw_edit                         => 6.
XCI_textsw_erase                        => 7.
XCI_textsw_file_lines_visible           => 8.
XCI_textsw_find_bytes                   => 9.
XCI_textsw_find_mark                    => 10.
XCI_textsw_first                        => 11.
XCI_textsw_index_for_file_line          => 12.
XCI_textsw_insert                       => 13.
XCI_textsw_match_bytes                  => 14.
XCI_textsw_next                         => 15.
XCI_textsw_normalize_view               => 16.
XCI_textsw_possibly_normalize           => 17.
XCI_textsw_remove_mark                  => 18.
XCI_textsw_replace_bytes                => 19.
XCI_textsw_reset                        => 20.
XCI_textsw_save                         => 21.
XCI_textsw_screen_line_count            => 22.
XCI_textsw_scroll_lines                 => 23.
XCI_textsw_set_selection                => 24.
XCI_textsw_store_file                   => 25.
XCI_ttysw_input                         => 26.
XCI_ttysw_output                        => 27.
XCI_xv_create                           => 28.
XCI_xv_destroy                          => 29.
XCI_xv_destroy_safe                     => 30.
XCI_xv_find                             => 31.
XCI_xv_get                              => 32.
XCI_xv_init                             => 33.
XCI_xv_set                              => 34.
XCI_MAX_FUNC_DEFS                       => 34.
